Skip to main content
GET
/
v1
/
resource
Get Resources
curl --request GET \
  --url https://api.example.com/v1/resource
{
  "data": [
    {
      "id": "507f1f77bcf86cd799439011",
      "name": "Identity Document",
      "type": "DOCUMENT",
      "active": true,
      "groupIds": [
        "507f1f77bcf86cd799439011"
      ],
      "updatedAt": "2025-01-15T10:30:00Z",
      "internalId": "internal-12345",
      "description": "Document to be requested on onboarding",
      "content": "JVBERi0xL...",
      "consentUrl": "https://www.example.com/consent"
    }
  ],
  "totalPages": 5
}

Query Parameters

pageIndex
number
default:0

Page number

Example:

0

pageSize
number
default:10

Number of items per page

Required range: 5 <= x <= 100
Example:

10

Search query to filter by. Is case-insensitive and does not need to match the entire value.

Maximum string length: 120
Example:

"example"

active
boolean

Filter by active status. Accepts true/false as string or boolean.

Example:

true

types
enum<string>[]

Filter by resource types. Can be a single value or array

Available options:
CONSENT,
FORM,
DOCUMENT,
JSON
Example:
["DOCUMENT", "CONSENT"]
internalId
string

Identifier to help you identify the resource in your own system. We recommend using a unique value.

Example:

"internal-12345"

Response

200 - application/json

Returns an array of resource items and the total number of pages.

data
ResourceEntity · object[]
required

Array of resources matching the query parameters

totalPages
number
required

Total number of pages available based on the page size and total count

Example:

5